<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Version: 1.0
| Author: jikaka
| Web: www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INFUSIONS."image_hosting/infusion_db.php";

if (!checkrights("IH") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."image_hosting/locale/".$settings['locale'].".php")) {
	include INFUSIONS."image_hosting/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."image_hosting/locale/Persian.php";
}

add_to_title($locale['global_200'].$locale['ih_001']);

$privacy_title = "";
$privacy_content = "";
$privacy_footer = "";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$ih_settings = dbarray(dbquery("SELECT * FROM ".DB_IH));
$error = 0;

if (isset($_POST['save_settings'])) {
    $result = dbquery("UPDATE ".DB_IH." SET
	ih_size_preview='".trim(stripinput($_POST['ih_size_preview']))."',
	ih_max_size_width='".trim(stripinput($_POST['ih_max_size_width']))."',
	ih_max_size_height='".trim(stripinput($_POST['ih_max_size_height']))."'");
	
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable($locale['ih_001']." - ".$locale['ih_100']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='300' class='center'>\n<tr>\n";
echo "<tr><td class='tbl' align='left' >".$locale['ih_101']."</td>\n";
echo "<td class='tbl1' colspan='2'><input type='text' name='ih_size_preview' value='".$ih_settings['ih_size_preview']."' maxlength='3' class='textbox' style='width:40px;' />\n";
echo " ".$locale['ih_103']."\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl' align='left' >".$locale['ih_102']."</td>\n";
echo "<td class='tbl1' colspan='2'><input type='text' name='ih_max_size_width' value='".$ih_settings['ih_max_size_width']."' maxlength='4' class='textbox' style='width:40px;' />\n";
echo " * ";
echo "<input type='text' name='ih_max_size_height' value='".$ih_settings['ih_max_size_height']."' maxlength='4' class='textbox' style='width:40px;' />\n";
echo " ".$locale['ih_103']."\n";
echo "</td></tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='save_settings' value='".$locale['ih_104']."' class='button' />\n";
echo "</td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();

opentable($locale['copyright_title']);
// Please do not remove copyright info 
include INFUSIONS."image_hosting/includes/copyright.php";
echo show_ih_copyright();
// End copyright info
closetable();

require_once THEMES."templates/footer.php";
?>