<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Version: 1.0
| Author: jikaka
| Web: www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."image_hosting/infusion_db.php";

if (file_exists(INFUSIONS."image_hosting/locale/".$settings['locale'].".php")) {
	include INFUSIONS."image_hosting/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."image_hosting/locale/Persian.php";
}

$inf_title = $locale['ih_001'];
$inf_description = $locale['ih_002'];
$inf_version = "1.0";
$inf_developer = "jikaka";
$inf_email = "jikaka7@gmail.com";
$inf_weburl = "http://www.rusfusion.ru";

$inf_folder = "image_hosting";

$inf_newtable[1] = DB_IH." (
ih_id MEDIUMINT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
ih_size_preview VARCHAR(4) NOT NULL DEFAULT '',
ih_max_size_width VARCHAR(4) NOT NULL DEFAULT '',
ih_max_size_height VARCHAR(4) NOT NULL DEFAULT '',
PRIMARY KEY (ih_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_IH." (ih_id, ih_size_preview, ih_max_size_width, ih_max_size_height) VALUES('1', '150', '1024', '250')";
$inf_droptable[1] = DB_IH;

$inf_adminpanel[1] = array(
	"title" => $locale['ih_001'],
	"image" => "image_hosting.gif",
	"panel" => "ihost_admin.php",
	"rights" => "IH"
);

$inf_sitelink[1] = array(
	"title" => $locale['ih_001'],
	"url" => "ihost.php",
	"visibility" => ""
);

?>